---
title: KeyboardLayoutMap.entries
slug: Web/API/KeyboardLayoutMap/entries
tags:
  - API
  - Entries
  - Experimental
  - Keyboard API
  - Keyboard Map
  - KeyboardLayoutMap
  - Property
  - Reference
  - keyboard
---
<div>{{SeeCompatTable}}{{APIRef("Keyboard API")}}</div>

<p><span class="seoSummary">The <strong><code>entries</code></strong> read-only property of the {{domxref("KeyboardLayoutMap")}} interface returns an array of a given object's own enumerable property <code>[key, value]</code> pairs, in the same order as that provided by a {{jsxref("Statements/for...in", "for...in")}} loop (the difference being that a for-in loop enumerates properties in the prototype chain as well). </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">KeyboardLayoutMap.entries()</pre>

<h3 id="Value">Value</h3>

<p>An array of the given <code>KeyboardLayoutMap</code> object's own enumerable property <code>[key, value]</code> pairs.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Keyboard Map','#keyboardlayoutmap-interface','entries')}}</td>
   <td>{{Spec2('Keyboard Map')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.KeyboardLayoutMap.entries")}}</p>
